Export Translation File

Export a translation file of a specific language, and a specific file type, with possible filters.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

For default language LANGUAGE_GUID=”default” can be used

Supported Attributes (body params)

NameTypeDescription
fileTypestringThe file type format to be exported.
Supported file types: XLIFF, XLSX,
RESJSON
Required
translationFiltersarray of objectsFilters for the export API, will contain
the different filters that will be
available for the exports
Optional
publishStatusobjectThe available publish status attributes for the exportOptional

“translationFilters” item

NameTypeDescription
collectionNamestringRequired
deployableIdnumberId of the deployableOptional
deployableTypenumberType of the deployableOptional
isWysiwygTranslationItembooleanWysiwyg or regular translation itemOptional
languageTypenumberOptional
relatedObjectIdnumberOptional

“publishStatus” object

NameTypeDescription
envIdnumberThe Id of the Environment to be exportedRequired
typesarrayThe status of the content to be exported according to the selected envId as shown in the Editor.
Possible values: published, publishedAndModified, draft, archived
Required

If publish status is not provided, default value will be used:

{
  envId: 0,
  types: [ “published”, “publishedAndModified”, “draft” ]
}

Response
As a response, you will get the Job State Object back

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!